<?php

/**
 * Moderator Essentials Cron Jobs
 *
 * @package ModEss
 */
class ModEss_CronEntry_ModEss
{
	/**
	 * Clean up tasks that should be done daily. This task cannot be relied on
	 * to run daily, consistently.
	 */
	public static function runDailyCleanUp()
	{
		$db = XenForo_Application::getDb();
		
		// delete old session mod log searches
		$db->delete('modess_modlog_search', 'search_date < ' . (XenForo_Application::$time - 86400));
	}
}